clear all; clc; clf;

k=0.5;

[IR1,fs,bit]=wavread('C:\HIL\LisztZeneakademia_Nagyterem\Impulse\z_22_R_c1_i.wav'); 
[IR2,fs,bit]=wavread('C:\HIL\LisztZeneakademia_Nagyterem\Impulse\z_23_R_c1_i.wav'); 

OFFS=10;
[IRr,tt1,tt2]=dokt_ir2interp(IR1,IR2,fs,bit,k,OFFS);

clf; hold all; 
LIM1=1800; LIM2=4600; kicsi=-max(abs(IR1)); nagy=-kicsi;
subplot(3,1,1);
plot(IR1); hold on; plot(tt1,0,'or'); set(gca,'Xlim',[LIM1 LIM2]); set(gca,'Ylim',[kicsi nagy]);
subplot(3,1,2);
plot(IR2); hold on; plot(tt2,0,'or'); set(gca,'Xlim',[LIM1 LIM2]); set(gca,'Ylim',[kicsi nagy]);
subplot(3,1,3);
plot(IRr); set(gca,'Xlim',[LIM1 LIM2]); set(gca,'Ylim',[kicsi nagy]);
hold off; 